XMPConst
Date: 2012-05-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.adobe.xmp
Interface XMPConst

    public interface XMPConst

Common constants for the XMP Toolkit.

Since:
  20.01.2006

Field Summary
`static java.lang.String` | `ARRAY_ITEM_NAME` Node name of an array item.
`static int` | `ARRAY_LAST_ITEM` Index that has the meaning to be always the last item in an array.
`static java.lang.String` | `FALSESTR` The canonical false string value for Booleans in serialized XMP.
`static java.lang.String` | `NS_ADOBESTOCKPHOTO`
`static java.lang.String` | `NS_ASF`
`static java.lang.String` | `NS_BWF` BExt Schema
`static java.lang.String` | `NS_CAMERARAW`
`static java.lang.String` | `NS_CREATOR_ATOM`
`static java.lang.String` | `NS_DC` The XML namespace for the Dublin Core schema.
`static java.lang.String` | `NS_DC_DEPRECATED` legacy Dublin Core NS, will be converted to NS_DC
`static java.lang.String` | `NS_DICOM` The XML namespace for the DICOM medical schema.
`static java.lang.String` | `NS_DM`
`static java.lang.String` | `NS_EXIF` The XML namespace for Adobe's EXIF schema.
`static java.lang.String` | `NS_EXIF_AUX`
`static java.lang.String` | `NS_EXIFX` NS for the CIPA XMP for Exif document v1.1
`static java.lang.String` | `NS_IPTCCORE` The XML namespace for the IPTC Core schema.
`static java.lang.String` | `NS_IPTCEXT` The XML namespace for the IPTC Extension schema.
`static java.lang.String` | `NS_IX`
`static java.lang.String` | `NS_JP2K`
`static java.lang.String` | `NS_JPEG`
`static java.lang.String` | `NS_PDF` The XML namespace for the PDF schema.
`static java.lang.String` | `NS_PDFA_EXTENSION`
`static java.lang.String` | `NS_PDFA_FIELD`
`static java.lang.String` | `NS_PDFA_ID`
`static java.lang.String` | `NS_PDFA_PROPERTY`
`static java.lang.String` | `NS_PDFA_SCHEMA`
`static java.lang.String` | `NS_PDFA_TYPE`
`static java.lang.String` | `NS_PDFX` The XML namespace for the PDF schema.
`static java.lang.String` | `NS_PDFX_ID`
`static java.lang.String` | `NS_PHOTOSHOP` The XML namespace for the Photoshop custom schema.
`static java.lang.String` | `NS_PLUS` The XML namespace for the PLUS (Picture Licensing Universal System, http://www.useplus.org)
`static java.lang.String` | `NS_PNG`
`static java.lang.String` | `NS_PSALBUM` The XML namespace for the Photoshop Album schema.
`static java.lang.String` | `NS_RDF` The XML namespace for RDF.
`static java.lang.String` | `NS_RIFFINFO` RIFF Info Schema
`static java.lang.String` | `NS_SCRIPT`
`static java.lang.String` | `NS_SWF` Adobe Flash SWF
`static java.lang.String` | `NS_TIFF` The XML namespace for Adobe's TIFF schema.
`static java.lang.String` | `NS_TRANSIENT`
`static java.lang.String` | `NS_TXMP` Transform XMP
`static java.lang.String` | `NS_WAV`
`static java.lang.String` | `NS_X` The XML namespace Adobe XMP Metadata.
`static java.lang.String` | `NS_XML` The XML namespace for XML.
`static java.lang.String` | `NS_XMP` The XML namespace for the XMP "basic" schema.
`static java.lang.String` | `NS_XMP_BJ` The XML namespace for the job management schema.
`static java.lang.String` | `NS_XMP_MM` The XML namespace for the XMP digital asset management schema.
`static java.lang.String` | `NS_XMP_NOTE` The XML namespace for the job management schema.
`static java.lang.String` | `NS_XMP_RIGHTS` The XML namespace for the XMP copyright schema.
`static java.lang.String` | `RDF_TYPE` rdf:type qualfifier
`static java.lang.String` | `TAG_XAPMETA` XMP meta tag version old
`static java.lang.String` | `TAG_XMPMETA` XMP meta tag version new
`static java.lang.String` | `TRUESTR` The canonical true string value for Booleans in serialized XMP.
`static java.lang.String` | `TYPE_DIMENSIONS` The XML namespace for fields of the Dimensions type.
`static java.lang.String` | `TYPE_FONT`
`static java.lang.String` | `TYPE_GRAPHICS`
`static java.lang.String` | `TYPE_IDENTIFIERQUAL` The XML namespace for qualifiers of the xmp:Identifier property.
`static java.lang.String` | `TYPE_IMAGE` The XML namespace for fields of a graphical image.
`static java.lang.String` | `TYPE_MANIFESTITEM`
`static java.lang.String` | `TYPE_PAGEDFILE`
`static java.lang.String` | `TYPE_RESOURCEEVENT` The XML namespace for fields of the ResourceEvent type.
`static java.lang.String` | `TYPE_RESOURCEREF` The XML namespace for fields of the ResourceRef type.
`static java.lang.String` | `TYPE_ST_JOB` The XML namespace for fields of the JobRef type.
`static java.lang.String` | `TYPE_ST_VERSION` The XML namespace for fields of the Version type.
`static java.lang.String` | `TYPE_TEXT`
`static java.lang.String` | `X_DEFAULT` The x-default string for localized properties
`static java.lang.String` | `XML_LANG` xml:lang qualfifier
`static java.lang.String` | `XMP_PI` Processing Instruction (PI) for xmp packet

Field Detail

### NS_XML

    static final java.lang.String NS_XML

  The XML namespace for XML.

  See Also:
    Constant Field Values

### NS_RDF

    static final java.lang.String NS_RDF

  The XML namespace for RDF.

  See Also:
    Constant Field Values

### NS_DC

    static final java.lang.String NS_DC

  The XML namespace for the Dublin Core schema.

  See Also:
    Constant Field Values

### NS_IPTCCORE

    static final java.lang.String NS_IPTCCORE

  The XML namespace for the IPTC Core schema.

  See Also:
    Constant Field Values

### NS_IPTCEXT

    static final java.lang.String NS_IPTCEXT

  The XML namespace for the IPTC Extension schema.

  See Also:
    Constant Field Values

### NS_DICOM

    static final java.lang.String NS_DICOM

  The XML namespace for the DICOM medical schema.

  See Also:
    Constant Field Values

### NS_PLUS

    static final java.lang.String NS_PLUS

  The XML namespace for the PLUS (Picture Licensing Universal System, http://www.useplus.org)

  See Also:
    Constant Field Values

### NS_X

    static final java.lang.String NS_X

  The XML namespace Adobe XMP Metadata.

  See Also:
    Constant Field Values

### NS_IX

    static final java.lang.String NS_IX

See Also:
  Constant Field Values

### NS_XMP

    static final java.lang.String NS_XMP

  The XML namespace for the XMP "basic" schema.

  See Also:
    Constant Field Values

### NS_XMP_RIGHTS

    static final java.lang.String NS_XMP_RIGHTS

  The XML namespace for the XMP copyright schema.

  See Also:
    Constant Field Values

### NS_XMP_MM

    static final java.lang.String NS_XMP_MM

  The XML namespace for the XMP digital asset management schema.

  See Also:
    Constant Field Values

### NS_XMP_BJ

    static final java.lang.String NS_XMP_BJ

  The XML namespace for the job management schema.

  See Also:
    Constant Field Values

### NS_XMP_NOTE

    static final java.lang.String NS_XMP_NOTE

  The XML namespace for the job management schema.

  See Also:
    Constant Field Values

### NS_PDF

    static final java.lang.String NS_PDF

  The XML namespace for the PDF schema.

  See Also:
    Constant Field Values

### NS_PDFX

    static final java.lang.String NS_PDFX

  The XML namespace for the PDF schema.

  See Also:
    Constant Field Values

### NS_PDFX_ID

    static final java.lang.String NS_PDFX_ID

See Also:
  Constant Field Values

### NS_PDFA_SCHEMA

    static final java.lang.String NS_PDFA_SCHEMA

See Also:
  Constant Field Values

### NS_PDFA_PROPERTY

    static final java.lang.String NS_PDFA_PROPERTY

See Also:
  Constant Field Values

### NS_PDFA_TYPE

    static final java.lang.String NS_PDFA_TYPE

See Also:
  Constant Field Values

### NS_PDFA_FIELD

    static final java.lang.String NS_PDFA_FIELD

See Also:
  Constant Field Values

### NS_PDFA_ID

    static final java.lang.String NS_PDFA_ID

See Also:
  Constant Field Values

### NS_PDFA_EXTENSION

    static final java.lang.String NS_PDFA_EXTENSION

See Also:
  Constant Field Values

### NS_PHOTOSHOP

    static final java.lang.String NS_PHOTOSHOP

  The XML namespace for the Photoshop custom schema.

  See Also:
    Constant Field Values

### NS_PSALBUM

    static final java.lang.String NS_PSALBUM

  The XML namespace for the Photoshop Album schema.

  See Also:
    Constant Field Values

### NS_EXIF

    static final java.lang.String NS_EXIF

  The XML namespace for Adobe's EXIF schema.

  See Also:
    Constant Field Values

### NS_EXIFX

    static final java.lang.String NS_EXIFX

  NS for the CIPA XMP for Exif document v1.1

  See Also:
    Constant Field Values

### NS_EXIF_AUX

    static final java.lang.String NS_EXIF_AUX

See Also:
  Constant Field Values

### NS_TIFF

    static final java.lang.String NS_TIFF

  The XML namespace for Adobe's TIFF schema.

  See Also:
    Constant Field Values

### NS_PNG

    static final java.lang.String NS_PNG

See Also:
  Constant Field Values

### NS_JPEG

    static final java.lang.String NS_JPEG

See Also:
  Constant Field Values

### NS_JP2K

    static final java.lang.String NS_JP2K

See Also:
  Constant Field Values

### NS_CAMERARAW

    static final java.lang.String NS_CAMERARAW

See Also:
  Constant Field Values

### NS_ADOBESTOCKPHOTO

    static final java.lang.String NS_ADOBESTOCKPHOTO

See Also:
  Constant Field Values

### NS_CREATOR_ATOM

    static final java.lang.String NS_CREATOR_ATOM

See Also:
  Constant Field Values

### NS_ASF

    static final java.lang.String NS_ASF

See Also:
  Constant Field Values

### NS_WAV

    static final java.lang.String NS_WAV

See Also:
  Constant Field Values

### NS_BWF

    static final java.lang.String NS_BWF

  BExt Schema

  See Also:
    Constant Field Values

### NS_RIFFINFO

    static final java.lang.String NS_RIFFINFO

  RIFF Info Schema

  See Also:
    Constant Field Values

### NS_SCRIPT

    static final java.lang.String NS_SCRIPT

See Also:
  Constant Field Values

### NS_TXMP

    static final java.lang.String NS_TXMP

  Transform XMP

  See Also:
    Constant Field Values

### NS_SWF

    static final java.lang.String NS_SWF

  Adobe Flash SWF

  See Also:
    Constant Field Values

### NS_DM

    static final java.lang.String NS_DM

See Also:
  Constant Field Values

### NS_TRANSIENT

    static final java.lang.String NS_TRANSIENT

See Also:
  Constant Field Values

### NS_DC_DEPRECATED

    static final java.lang.String NS_DC_DEPRECATED

  legacy Dublin Core NS, will be converted to NS_DC

  See Also:
    Constant Field Values

### TYPE_IDENTIFIERQUAL

    static final java.lang.String TYPE_IDENTIFIERQUAL

  The XML namespace for qualifiers of the xmp:Identifier property.

  See Also:
    Constant Field Values

### TYPE_DIMENSIONS

    static final java.lang.String TYPE_DIMENSIONS

  The XML namespace for fields of the Dimensions type.

  See Also:
    Constant Field Values

### TYPE_TEXT

    static final java.lang.String TYPE_TEXT

See Also:
  Constant Field Values

### TYPE_PAGEDFILE

    static final java.lang.String TYPE_PAGEDFILE

See Also:
  Constant Field Values

### TYPE_GRAPHICS

    static final java.lang.String TYPE_GRAPHICS

See Also:
  Constant Field Values

### TYPE_IMAGE

    static final java.lang.String TYPE_IMAGE

  The XML namespace for fields of a graphical image. Used for the Thumbnail type.

  See Also:
    Constant Field Values

### TYPE_FONT

    static final java.lang.String TYPE_FONT

See Also:
  Constant Field Values

### TYPE_RESOURCEEVENT

    static final java.lang.String TYPE_RESOURCEEVENT

  The XML namespace for fields of the ResourceEvent type.

  See Also:
    Constant Field Values

### TYPE_RESOURCEREF

    static final java.lang.String TYPE_RESOURCEREF

  The XML namespace for fields of the ResourceRef type.

  See Also:
    Constant Field Values

### TYPE_ST_VERSION

    static final java.lang.String TYPE_ST_VERSION

  The XML namespace for fields of the Version type.

  See Also:
    Constant Field Values

### TYPE_ST_JOB

    static final java.lang.String TYPE_ST_JOB

  The XML namespace for fields of the JobRef type.

  See Also:
    Constant Field Values

### TYPE_MANIFESTITEM

    static final java.lang.String TYPE_MANIFESTITEM

See Also:
  Constant Field Values

### TRUESTR

    static final java.lang.String TRUESTR

  The canonical true string value for Booleans in serialized XMP. Code that converts from the string to a bool should be case insensitive, and even allow "1".

  See Also:
    Constant Field Values

### FALSESTR

    static final java.lang.String FALSESTR

  The canonical false string value for Booleans in serialized XMP. Code that converts from the string to a bool should be case insensitive, and even allow "0".

  See Also:
    Constant Field Values

### ARRAY_LAST_ITEM

    static final int ARRAY_LAST_ITEM

  Index that has the meaning to be always the last item in an array.

  See Also:
    Constant Field Values

### ARRAY_ITEM_NAME

    static final java.lang.String ARRAY_ITEM_NAME

  Node name of an array item.

  See Also:
    Constant Field Values

### X_DEFAULT

    static final java.lang.String X_DEFAULT

  The x-default string for localized properties

  See Also:
    Constant Field Values

### XML_LANG

    static final java.lang.String XML_LANG

  xml:lang qualfifier

  See Also:
    Constant Field Values

### RDF_TYPE

    static final java.lang.String RDF_TYPE

  rdf:type qualfifier

  See Also:
    Constant Field Values

### XMP_PI

    static final java.lang.String XMP_PI

  Processing Instruction (PI) for xmp packet

  See Also:
    Constant Field Values

### TAG_XMPMETA

    static final java.lang.String TAG_XMPMETA

  XMP meta tag version new

  See Also:
    Constant Field Values

### TAG_XAPMETA

    static final java.lang.String TAG_XAPMETA

  XMP meta tag version old

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2007 Adobe Systems Inc. All Rights Reserved.